Bug 21419 - Remove deprecated Glib+ symbols
Summary: Remove deprecated Glib+ symbols
Status: RESOLVED FIXED
Alias: None
Product: Galago
Classification: Unclassified
Component: libnotify (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Christian Hammond
QA Contact:
URL:
Whiteboard:
Keywords: janitor, patch
Depends on:
Blocks:
 
Reported: 2009-04-26 11:22 UTC by Andre Klapper
Modified: 2009-07-24 02:14 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Trivial patch (1.60 KB, patch)
2009-06-14 07:52 UTC, Andre Klapper
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Klapper 2009-04-26 11:22:21 UTC
According to http://www.gnome.org/~fpeters/299.html
libnotify (0.4.5) uses a deprecated Glib+ symbol in libnotify/notification.c:
g_value_set_boxed_take_ownership

$:andre\> grep -r g_value_set_boxed_take_ownership .
./libnotify/notification.c: g_value_set_boxed_take_ownership(&value, byte_array);
./libnotify/notification.c: g_value_set_boxed_take_ownership(value, image_struct);
./libnotify/notification.c: g_value_set_boxed_take_ownership(hint_value, byte_array);

See http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/Glib and http://library.gnome.org/devel/gobject/unstable/gobject-Standard-Parameter-and-Value-Types.html#g-value-set-boxed-take-ownership
Comment 1 Andre Klapper 2009-06-14 07:52:51 UTC
Created attachment 26769 [details] [review]
Trivial patch

No glib bump in configure.ac needed as patch adds glib 2.4 functionality and libnotify already requires glib 2.6.
Comment 2 Andre Klapper 2009-06-14 07:53:24 UTC
Please commit to svn as I don't have commit permissions.
Comment 3 Christian Hammond 2009-07-24 02:14:47 UTC
Committed in r3038.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.